<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$success = false;

$formname = 'Contra';
$maindb = 'contra';
$accdb = 'actran';
$file = 'contra.php';

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$para = $_REQUEST["para"];
$keycond = " and `frmac`='$para'";
$cond = "";
if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND c.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`chqno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`amount` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`narr1` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND c.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`chqno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`amount` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`narr1` LIKE '%$searchTerm%'";
        }
    }

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
    } else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
    }else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
    }else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY c.`name`";
    }else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`chqno`";
    }else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`amount`";
    }else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`narr1`";
    }
    
    $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT a.*,b.name, c.name as cname FROM `$maindb` a, `accmast` b, `accmast` c
           WHERE a.fromcode = b.accode and a.tocode = c.accode  $keycond $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

//$gbfrom = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$r[fromcode]' and series = '$fseries' ")or die(mysqli_error($conn));
//$bfrom = mysqli_fetch_array($gbfrom);
//
//$gbto = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$r[tocode]' and series = '$fseries' ")or die(mysqli_error($conn));
//$bto = mysqli_fetch_array($gbto);
    
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[vouchno],
        'vouchdt' => $r[vouchdt],
        'name' => $r[name],
        'cname' => $r[cname],
        'chqno'   => $r[chqno],
        'amount'  => $r[amount],
        'narr1'   => $r[narr1],
        'narr2'   => $r[narr2],
         'action' => "$file?mode=edit&series=$fseries&vouchno=$r[vouchno]&para=$para",
     ];
        $ctr++;
    }
    header("Content-type: application\json");
    echo json_encode($rows);
